<template>
  <div class="form-field">
    <label :for="id">{{ label }}</label>
    <input :value="modelValue"
           @input="$emit('update:modelValue', $event.target.value)"
           :type="type" :id="id" :required="required">
    <Error v-if="error" :value="error" />
  </div>
</template>

<script>
import Error from '../atoms/Error.vue';

export default {
  name: 'FormField',
  components: { Error },
  props: ['id', 'modelValue', 'label', 'type', 'required', 'error'],
};
</script>

<style scoped lang="scss">
.form-field {
  margin: 0 auto 3em auto;

  label, input {
    display: block;
    font-size: 1em;
  }

  label {
    margin: 2em 0 0.6em 0;
    padding-left: 11px;
    font-family: $my-text;
  }

  input {
    height: 3em;
    outline: 0;
    width: 100%;
    border-color: $my-orange;
    border-radius: 11px;
    border-width: 1px;
    padding-left: 11px;
  }
}
</style>
